import sys
from cx_Freeze import setup, Executable


packages = ['gamelib', 'collections', 'pyglet']
excludes = ['abc', '_gtkagg', '_tkagg', 'bsddb', 'curses', 'email', 'pywin.debugger',
            'pywin.debugger.dbgcon', 'pywin.dialogs', 'tcl', 'html', 
            'Tkconstants', 'Tkinter']
#include-files = ['resource']

build_exe_options = {'packages': packages,
                     'excludes': excludes,
                     'include_files' : ['resource']}

base = None
ext = ''
if sys.platform == 'win32':
    ext = '.exe'
    base = 'Win32GUI'

exe = Executable('run_game.py',
                  targetName = 'Game of Rows' + ext,
                  base=base)

setup(  name = 'Game of Rows',
        version = '1.0',
        author= 'Simon Echeverri / Zim the Fox',
        description = 'My entry for Ludum Dare 26. Theme: Minimalism',
        url = 'http://ludumdare.com/compo/ludum-dare-26/?action=me',
        options = {'build_exe': build_exe_options},
        executables = [exe])
